<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="main.css">
    <link href="https://fonts.googleapis.com/css2?family=Goldman:wght@400;700&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Lobster&display=swap" rel="stylesheet">
    <style>
        html {
            /* height:100%;*/
        }

        body {
            margin: 0px;
            /*height:50%;*/
        }

        h1 {
            font-family: 'Goldman', cursive;
            color: white;
            background-color: tomato;
            font-weight: normal;
            padding: 10px;
            border: 2px solid black;

            /*width:600px;*/
            /*height:50%;*/
            /*height:200px;*/

            /*
            padding: 10px;
            border:2px black solid;
            border-style: solid;
            border-color: black;
            border-width: 2px;
            margin: 50px;*/

        }

        .main_header {
            width: 100%;
            padding: 10px 16px;
            box-sizing:border-box;
            background-color: darkslategray;
        }

        .main_header_logo {
           font-family: 'Lobster', cursive;
           text-decoration: none;
           font-size: xx-large;
           color:white;
        }

        .main_nav_items {
           //margin-right: 20px;
          
        }

        .main_nav_item {
            display: inline-block;
            margin:0px 16px;   
        }

        .main_header > div {
            display: inline-block;
        }
        .main_nav{
            display:inline-block;
            width:calc(100% - 70px);
            text-align: right;  
        }
        
        .main_nav_item a{
            text-decoration: none;
            font-family: 'Goldman', cursive;
            font-size: large;
            color:white;
        }
        
        .main_nav_item a:hover{
           border-bottom: white solid 2px;
        }
        .main_nav_item_cta a{
            background-color: red;
            padding: 10px;
            border:2px solid white;
            border-radius: 8px;
        }

        .main_nav_item_cta a:hover{
            background-color: white;
            color:red;
        }
    </style>

</head>

<body>
    <header class="main_header">
        <div>
            <a href="index.html" class="main_header_logo">Logo</a>
        </div>
        <nav class="main_nav">
            <ul class="main_nav_items">
                <li class="main_nav_item">
                    <a href="stranica1.html">Stranica1</a>
                </li>
                <li class="main_nav_item">
                    <a href="stranica2.html">Stranica2</a>
                </li>
                <li class="main_nav_item">
                    <a href="stranica3.html">Stranica3</a>
                </li>
                <li class="main_nav_item main_nav_item_cta">
                    <a href="stranica4.html">Stranica4</a>
                </li>
            </ul>
        </nav>
    </header>

    <h1>CSS drugo predavanje</h1>
    <h1>Drugi blok element</h1>

</body>

</html>